## notmuch 0.23.7

=== debian/changelog ===
notmuch (0.23.7-3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Apr 2017 12:55:44 +0200

notmuch (0.23.7-3) unstable; urgency=medium

  * Cherry pick fixes to dump header from 0.24.1

 -- David Bremner <bremner@debian.org>  Sat, 01 Apr 2017 21:09:36 -0300

notmuch (0.23.7-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 21 Mar 2017 14:12:09 +0100

notmuch (0.23.7-2) unstable; urgency=medium

  * Cherry pick 06adc276, fix use after free in libnotmuch4

 -- David Bremner <bremner@debian.org>  Sun, 19 Mar 2017 09:38:17 -0300

notmuch (0.23.7-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Mar 2017 11:10:09 +0100

notmuch (0.23.7-1) unstable; urgency=medium

  * Move test suite $GNUPGHOME to /tmp to avoid problems with long build paths.
  * Fix read-after-free bug in `notmuch new`.

 -- David Bremner <bremner@debian.org>  Tue, 28 Feb 2017 20:39:30 -0400

notmuch (0.23.5-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Feb 2017 11:31:48 +0100

notmuch (0.23.3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2016 15:47:30 +0100

notmuch (0.23.1-1ubuntu4) zesty; urgency=medium

  * Build-depends on emacs25-lucid as well.
  * Let notmuch-emacs depend on emacs25 as well.

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 15 Nov 2016 17:50:44 +0200

notmuch (0.23.1-1ubuntu3) zesty; urgency=medium

  * Switch to emacs25 build-dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 16:23:09 +0100

notmuch (0.23.1-1ubuntu2) zesty; urgency=medium

  * No-change rebuild for libxapian30

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 02 Nov 2016 11:48:59 +0000

notmuch (0.23.1-1ubuntu1) zesty; urgency=medium

  * Resync with Debian unstable.
  * debian/rules: drop gdb dependency on armhf, aka don't run tests here
    (see Debian bug 841716)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Oct 2016 23:42:28 +0200

notmuch (0.23-2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Call dh_auto_test with TERM=vt100, as the
        testsuite fails fairly spectacularly with TERM=unknown.
  * Dropped changes:
    - Ignore testsuite on armhf; this was a workaround for gdb which
      should not be needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Oct 2016 17:59:38 -0700

=== debian/control ===
Source: notmuch
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
Uploaders:
 Jameson Graef Rollins <jrollins@finestructure.net>,
 David Bremner <bremner@debian.org>
Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel armhf ppc64el mips mipsel mips64el]
Build-Depends:
 dpkg-dev (>= 1.17.14),
 debhelper (>= 9),
 pkg-config,
 libxapian-dev,
 libgmime-2.6-dev (>= 2.6.7~) | libgmime-2.4-dev,
 libtalloc-dev,
 libz-dev,
 python-all (>= 2.6.6-3~),
 python3-all (>= 3.1.2-7~),
 dh-python,
 dh-elpa (>= 1.3),
 python-sphinx (>= 1.0),
 ruby, ruby-dev (>>1:1.9.3~),
 emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
 emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
 emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
 gdb [!s390x !ia64 !armel !armhf !ppc64el !mips !mipsel !mips64el !kfreebsd-any],
 dtach (>= 0.8),
 gpgsm <!nocheck>,
 gnupg <!nocheck>,
 bash-completion (>=1.9.0~)
Standards-Version: 3.9.6
Homepage: https://notmuchmail.org/
Vcs-Git: git://notmuchmail.org/git/notmuch
Vcs-Browser: https://git.notmuchmail.org/git/notmuch

Package: notmuch
Architecture: any
Depends: libnotmuch4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent, gpgsm
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface

Package: libnotmuch4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnotmuch4 (= ${binary:Version})
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

Package: python-notmuch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, libnotmuch4 (>= ${source:Version})
Description: python interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: python3-notmuch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch4 (>= ${source:Version})
Description: Python 3 interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Python 3 interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: ruby-notmuch
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby interface to the notmuch mail search and index library
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a Ruby interface to the notmuch
 functionality, directly interfacing with a shared notmuch library.

Package: notmuch-emacs
Architecture: all
Depends: elpa-notmuch
Description: thread-based email index, search and tagging (transitional package)
 This dummy package help ease transition to the new package elpa-notmuch

Package: elpa-notmuch
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Description: thread-based email index, search and tagging (emacs interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides an emacs based mail user agent based on
 notmuch.

Package: notmuch-vim
Architecture: all
Section: mail
Breaks: notmuch (<<0.6~254~)
Replaces: notmuch (<<0.6~254~)
Depends: ${misc:Depends}, notmuch, vim-addon-manager, vim-ruby, ruby-notmuch
Recommends: ruby-mail
Description: thread-based email index, search and tagging (vim interface)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides a vim based mail user agent based on
 notmuch.

Package: notmuch-mutt
Architecture: all
Depends:
 notmuch (>= 0.4),
 libmail-box-perl, libmailtools-perl,
 libstring-shellquote-perl, libterm-readline-gnu-perl,
 ${misc:Depends}
Recommends: mutt
Enhances: notmuch, mutt
Description: thread-based email index, search and tagging (Mutt interface)
 notmuch-mutt provides integration among the Mutt mail user agent and
 the Notmuch mail indexer.
 .
 notmuch-mutt offer two main integration features. The first one is
 the ability of stating a search query interactively and then jump to
 a fresh Maildir containing its search results only. The second one is
 the ability to reconstruct threads on the fly starting from the
 current highlighted mail.

Package: notmuch-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch4 (= ${binary:Version})
Description: thread-based email index, search and tagging - debugging symbols
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the debugging symbols for libnotmuch and the
 notmuch binary. Most people will not need this package.

## notmuch 0.24.2

=== Makefile ===
# We want the all target to be the implicit target (if no target is
# given explicitly on the command line) so mention it first.
all:

# Sub-directory Makefile.local fragments can append to these variables
# to have directory-specific cflags as necessary.

extra_cflags :=
extra_cxxflags :=

# Get settings from the output of configure by running it to generate
# Makefile.config if it doesn't exist yet.

# If Makefile.config doesn't exist, then srcdir won't be
# set. Conditionally set it (assuming a plain srcdir build) so that
# the rule to generate Makefile.config can actually work.
srcdir ?= .

include Makefile.config

# We make all targets depend on the Makefiles themselves.
global_deps = Makefile Makefile.config Makefile.local \
	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)

Makefile.config: $(srcdir)/configure
ifeq ($(configure_options),)
	@echo ""
	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
	@echo "      but if you want to specify any arguments (such as an alternate prefix"
	@echo "      into which to install), call ./configure explicitly and then make again."
	@echo "      See \"./configure --help\" for more details."
	@echo ""
endif
	$(srcdir)/configure $(configure_options)

# runtime variable definitions available in all subdirs
include $(srcdir)/Makefile.global
# Finally, include all of the Makefile.local fragments where all the
# real work is done.

include $(subdirs:%=%/Makefile.local) Makefile.local

=== debian/changelog ===
notmuch (0.24.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- David Bremner <bremner@debian.org>  Fri, 14 Jul 2017 07:27:04 -0300

notmuch (0.24.2-2) unstable; urgency=medium

  * rebuild for unstable

 -- David Bremner <bremner@debian.org>  Sun, 02 Jul 2017 12:48:46 -0300

notmuch (0.24.2-1) experimental; urgency=medium

  * Fix dump output to not include tags when not asked for
  * Fix file name stashing in emacs tree view.

 -- David Bremner <bremner@debian.org>  Thu, 01 Jun 2017 07:24:55 -0300

notmuch (0.24.1-1) experimental; urgency=medium

  * Restore Xapian wildcard queries to from: and subject:
  * Handle empty queries for from: and subject:
  * Memory leaks in notmuch show fixed
  * Fix bug notmuch dump header generation

 -- David Bremner <bremner@debian.org>  Sat, 01 Apr 2017 09:17:47 -0300

notmuch (0.24-1) experimental; urgency=medium

  * New upstream release
    - regexp search for from: and subject:
    - Emacs interface improvements:
      - draft handling
      - don't automatically expand application/*
      - jump (shortcut) menu for tagging.
      - fold long headers when sending
    - library improvements
      - catch some stray DatabaseModifiedErrors
      - make exclude handling non-destructive.

 -- David Bremner <bremner@debian.org>  Sun, 12 Mar 2017 22:14:25 -0300

notmuch (0.24~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * upstream release notes
  * One library internals fix/optimization for regexp processing.

 -- David Bremner <bremner@debian.org>  Wed, 08 Mar 2017 08:08:34 -0400

notmuch (0.24~rc0-1) experimental; urgency=medium

  * New upstream feature release (candidate).

 -- David Bremner <bremner@debian.org>  Sun, 05 Mar 2017 19:32:08 -0400

## notmuch 0.25

=== debian/changelog ===
notmuch (0.25-6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * drop dependency on libgmime-3.0, not yet in backports

 -- David Bremner <bremner@debian.org>  Sun, 27 Aug 2017 16:00:45 -0300

notmuch (0.25-6) unstable; urgency=medium

  * Bug fix: "deletes shipped file on reinstall:
    /etc/emacs/site-start.d/50notmuch.el", thanks to Andreas Beckmann
    (Closes: #872197).

 -- David Bremner <bremner@debian.org>  Tue, 15 Aug 2017 07:52:21 -0300

notmuch (0.25-5) unstable; urgency=medium

  * Bug fix: "dependency on elpa-emacs doesn't seem right", thanks
    to Jiri Palecek (Closes: #871642).

 -- David Bremner <bremner@debian.org>  Thu, 10 Aug 2017 06:42:50 -0400

notmuch (0.25-4) unstable; urgency=medium

  * Recommend elpa-emacs instead emacs-notmuch

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 18:11:35 -0400

notmuch (0.25-3) unstable; urgency=medium

  * Remove old startup file /etc/emacs/site-start.d/50notmuch.el

 -- David Bremner <bremner@debian.org>  Thu, 03 Aug 2017 09:26:00 -0400

notmuch (0.25-2) unstable; urgency=medium

  * Drop build-dep on libgmime-2.4-dev, long unsupported upstream
  * Bug fix: "please transition to gmime 3.0", thanks to Daniel Kahn
    Gillmor (Closes: #867353).

 -- David Bremner <bremner@debian.org>  Wed, 26 Jul 2017 10:59:14 -0400

notmuch (0.25-1) unstable; urgency=medium

  * New upstream release
    - regexp search for mid, paths, tags
    - drop inline images when indexing html

 -- David Bremner <bremner@debian.org>  Tue, 25 Jul 2017 08:28:20 -0300

notmuch (0.25~rc1-2) unstable; urgency=low

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Tue, 18 Jul 2017 19:47:45 -0300

notmuch (0.25~rc1-1) experimental; urgency=medium

  * Bump standards version to 4.0.0 (no changes needed)
  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Tue, 18 Jul 2017 07:04:14 -0300

notmuch (0.25~rc0-2) experimental; urgency=medium

  * Fix compilation on 32 bit architectures (time_t vs. gint64)

 -- David Bremner <bremner@debian.org>  Mon, 17 Jul 2017 08:49:32 -0300

notmuch (0.25~rc0-1) experimental; urgency=medium

  * New upstream release candidate
  * Drop notmuch-dbg, use notmuch-dbgsym if debug symbols are needed.
  * [lib] Bump SONAME to libnotmuch.so.5
  * Bug fix: "doesn't check gpg/pgp signatures by default", thanks
    to Vagrant Cascadian (Closes: #755544).
  * Bug fix: "allow separation of command-line options and their
    values: --option foo", thanks to Paul Wise (Closes: #825886).

 -- David Bremner <bremner@debian.org>  Sun, 16 Jul 2017 08:48:59 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: notmuch
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Carl Worth <cworth@debian.org>
+Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
-Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel armhf ppc64el mips mipsel mips64el]
+Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel ppc64el mips mipsel mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
  debhelper (>= 9),
  pkg-config,
  libxapian-dev,
- libgmime-2.6-dev (>= 2.6.7~) | libgmime-2.4-dev,
+ libgmime-2.6-dev (>= 2.6.7~),
  libtalloc-dev,
  libz-dev,
  python-all (>= 2.6.6-3~),
@@ -24,20 +23,20 @@
  emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel !armhf !ppc64el !mips !mipsel !mips64el !kfreebsd-any],
+ gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el !kfreebsd-any],
  dtach (>= 0.8),
  gpgsm <!nocheck>,
  gnupg <!nocheck>,
  bash-completion (>=1.9.0~)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
 Vcs-Browser: https://git.notmuchmail.org/git/notmuch
 
 Package: notmuch
 Architecture: any
-Depends: libnotmuch4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt | alot,  gnupg-agent, gpgsm
+Depends: libnotmuch5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: elpa-notmuch | notmuch-vim | notmuch-mutt | alot,  gnupg-agent, gpgsm
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -46,7 +45,7 @@
  .
  This package contains the notmuch command-line interface
 
-Package: libnotmuch4
+Package: libnotmuch5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -63,7 +62,7 @@
 Package: libnotmuch-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libnotmuch4 (= ${binary:Version})
+Depends: ${misc:Depends}, libnotmuch5 (= ${binary:Version})
 Description: thread-based email index, search and tagging (development)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -76,8 +75,8 @@
 Package: python-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch4 (>= ${source:Version})
-Description: python interface to the notmuch mail search and index library
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch5 (>= ${source:Version})
+Description: Python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
  the Xapian library to provide fast, full-text search with a very
@@ -89,7 +88,7 @@
 Package: python3-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch4 (>= ${source:Version})
+Depends: ${misc:Depends}, ${python3:Depends}, libnotmuch5 (>= ${source:Version})
 Description: Python 3 interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -113,8 +112,10 @@
  functionality, directly interfacing with a shared notmuch library.
 
 Package: notmuch-emacs
+Section: oldlibs
+Priority: extra
 Architecture: all
-Depends: elpa-notmuch
+Depends: elpa-notmuch, ${misc:Depends}
 Description: thread-based email index, search and tagging (transitional package)
  This dummy package help ease transition to the new package elpa-notmuch
 
@@ -132,7 +133,6 @@
 
 Package: notmuch-vim
 Architecture: all
-Section: mail
 Breaks: notmuch (<<0.6~254~)
 Replaces: notmuch (<<0.6~254~)
 Depends: ${misc:Depends}, notmuch, vim-addon-manager, vim-ruby, ruby-notmuch
@@ -164,17 +164,3 @@
  a fresh Maildir containing its search results only. The second one is
  the ability to reconstruct threads on the fly starting from the
  current highlighted mail.
-
-Package: notmuch-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnotmuch4 (= ${binary:Version})
-Description: thread-based email index, search and tagging - debugging symbols
- Notmuch is a system for indexing, searching, reading, and tagging
- large collections of email messages in maildir or mh format. It uses
- the Xapian library to provide fast, full-text search with a very
- convenient search syntax.
- .
- This package contains the debugging symbols for libnotmuch and the
- notmuch binary. Most people will not need this package.

## notmuch 0.25.1

=== debian/changelog ===
notmuch (0.25.1-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Sep 2017 17:15:11 +0200

notmuch (0.25.1-1) unstable; urgency=medium

  * new upstream bugfix release: mitigation for emacs bug 28350
  * remove obsolete lintian override
  * reformat debian/NEWS

 -- David Bremner <bremner@debian.org>  Mon, 11 Sep 2017 22:20:48 -0300

notmuch (0.25-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Aug 2017 11:44:21 +0200

notmuch (0.25-5ubuntu2) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Aug 2017 19:33:03 +0200

notmuch (0.25-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2017 11:08:23 +0200

notmuch (0.25~rc1-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 10:54:04 +0200

notmuch (0.24.2-2ubuntu2) artful; urgency=medium

  * No-change rebuild against libgmime-3.0-0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 Jul 2017 03:27:29 +0000

notmuch (0.24.2-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: drop gdb dependency on armhf, aka don't run tests here
      (see Debian bug 841716)
    - Switch to emacs25 build-dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Jul 2017 14:10:10 +0200

=== debian/rules ===
#!/usr/bin/make -f

python3_all = py3versions -s | xargs -n1 | xargs -t -I {} env {}

%:
	dh $@ --with python2,python3,elpa

override_dh_auto_configure:
	./configure --prefix=/usr \
		--libdir=/usr/lib/$$(dpkg-architecture -q DEB_TARGET_MULTIARCH) \
		--includedir=/usr/include \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--sysconfdir=/etc \
		--localstatedir=/var

override_dh_auto_build:
	dh_auto_build -- V=1
	dh_auto_build --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py build
	$(MAKE) -C contrib/notmuch-mutt

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py clean -a
	dh_auto_clean --sourcedirectory bindings/ruby
	$(MAKE) -C contrib/notmuch-mutt clean

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory bindings/python
	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	dh_auto_install --sourcedirectory bindings/ruby


override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),armhf)
	dh_auto_test || true
endif

## notmuch 0.26

=== debian/changelog ===
notmuch (0.26-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * add myself to uploaders
  * drop dependency on libgmime-3.0, not yet in backports
  * note the debian/stretch-backports branch

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 04 Feb 2018 15:21:54 -0500

notmuch (0.26-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * build against python3-sphinx instead of python-sphinx
  * d/changelog: strip trailing whitespace
  * move to debhelper 10
  * Standards-Version: bump to 4.1.3 (drop priority: extra
    from transitional packages)

  [ David Bremner ]
  * New upstream release (see /usr/share/doc/notmuch/NEWS.gz)
    - new command 'notmuch reindex'
    - optional indexing of encrypted emails.
    - indexing of files with duplicate message-id
  * update symbols

 -- David Bremner <bremner@debian.org>  Tue, 09 Jan 2018 07:13:21 -0400

notmuch (0.26~rc2-1) experimental; urgency=medium

  * Third upstream release candidate

 -- David Bremner <bremner@debian.org>  Tue, 09 Jan 2018 07:13:11 -0400

notmuch (0.26~rc1-1) experimental; urgency=medium

  * Second upstream release candidate

 -- David Bremner <bremner@debian.org>  Mon, 01 Jan 2018 21:17:39 -0400

notmuch (0.26~rc0-1) experimental; urgency=medium

  * Upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 28 Dec 2017 10:21:08 -0400

notmuch (0.25.3-1) unstable; urgency=medium

  * Upstream bugfix release. Fix for OpenPGP UID validity reporting,
    and build failure with GMime 3.0.3+.
  * Bug fix: "notmuch FTBFS on Alpha due to broken gdb", thanks to
    Michael Cree (Closes: #881028).

 -- David Bremner <bremner@debian.org>  Fri, 08 Dec 2017 21:08:00 -0400

notmuch (0.25.2-1) unstable; urgency=medium

  * New upstream bugfix release: fix for segfault when compiled
    against gmime-2.6

 -- David Bremner <bremner@debian.org>  Sun, 05 Nov 2017 20:05:49 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
+ Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
 Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel ppc64el mips mipsel mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
- debhelper (>= 9),
+ debhelper (>= 10~),
  pkg-config,
  libxapian-dev,
  libgmime-2.6-dev (>= 2.6.7~),
@@ -18,19 +19,19 @@
  python3-all (>= 3.1.2-7~),
  dh-python,
  dh-elpa (>= 1.3),
- python-sphinx (>= 1.0),
+ python3-sphinx,
  ruby, ruby-dev (>>1:1.9.3~),
  emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el !kfreebsd-any],
+ gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el !kfreebsd-any !alpha],
  dtach (>= 0.8),
  gpgsm <!nocheck>,
  gnupg <!nocheck>,
  bash-completion (>=1.9.0~)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://notmuchmail.org/
-Vcs-Git: git://notmuchmail.org/git/notmuch
+Vcs-Git: git://notmuchmail.org/git/notmuch -b debian/stretch-backports
 Vcs-Browser: https://git.notmuchmail.org/git/notmuch
 
 Package: notmuch
@@ -113,7 +114,6 @@
 
 Package: notmuch-emacs
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: elpa-notmuch, ${misc:Depends}
 Description: thread-based email index, search and tagging (transitional package)

=== debian/rules ===
--- 
+++ 
@@ -32,9 +32,3 @@
 	dh_auto_install --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 	dh_auto_install --sourcedirectory bindings/ruby
-
-
-override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),armhf)
-	dh_auto_test || true
-endif

## notmuch 0.27

=== debian/changelog ===
notmuch (0.27-1~bpo9+2) stretch-backports; urgency=medium

  * Disable test T460-emacs-tree on arm64. The failures seems to be an upstream
    emacs heisenbug fixed in unstable.

 -- David Bremner <bremner@debian.org>  Fri, 22 Jun 2018 21:02:14 -0300

notmuch (0.27-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Restore libgmime-3.0 build dependency, preferred upstream, now
    available in backports.

 -- David Bremner <bremner@debian.org>  Mon, 18 Jun 2018 21:23:26 -0300

notmuch (0.27-1) unstable; urgency=medium

  * New upstream feature release
    - thread subqueries (match terms in different messages of same thread)
    - notmuch new --full-scan (ignore mtimes)
    - notmuch show --decrypt=stash (decrypt and stash on first read)

 -- David Bremner <bremner@debian.org>  Tue, 12 Jun 2018 22:39:33 -0300

notmuch (0.27~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Thu, 31 May 2018 08:19:00 -0300

notmuch (0.27~rc0-1) experimental; urgency=medium

  * New upstream release candidate

 -- David Bremner <bremner@debian.org>  Sat, 26 May 2018 09:12:37 -0700

notmuch (0.26.2-2) unstable; urgency=medium

  * Mark gdb and dtach as <!nocheck>, meaning they are only needed for
    the test suite.
  * Re-enable gdb based tests on s390x, ppc64el, armel, mipsel, they
    pass on porterbox. Leave disabled on mipsel64 (gdb tests still
    failing), and mips (many tests fail on porterbox).

 -- David Bremner <bremner@debian.org>  Sun, 06 May 2018 08:36:52 -0300

notmuch (0.26.2-1) unstable; urgency=medium

  * Upstream bugfix release
    - Break reference loops when indexing, fixes INTERNAL_ERROR in "notmuch show"
    - Don't call get_mset(0,0,X), fixes crash on some gcc8 using distros

 -- David Bremner <bremner@debian.org>  Sat, 28 Apr 2018 08:10:24 -0300

notmuch (0.26.1-1) unstable; urgency=medium

  * Bump LIBRARY_MINOR_VERSION to 1, for new functions in 0.26

 -- David Bremner <bremner@debian.org>  Mon, 02 Apr 2018 08:08:01 -0300

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
-Build-Conflicts: ruby1.8, gdb-minimal, gdb [s390x ia64 armel ppc64el mips mipsel mips64el]
+Build-Conflicts: ruby1.8, gdb-minimal, gdb [ia64 mips mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
  debhelper (>= 10~),
  pkg-config,
  libxapian-dev,
- libgmime-2.6-dev (>= 2.6.7~),
+ libgmime-3.0-dev (>= 3.0.3~) | libgmime-2.6-dev (>= 2.6.7~),
  libtalloc-dev,
  libz-dev,
  python-all (>= 2.6.6-3~),
@@ -24,8 +24,8 @@
  emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
  emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
- gdb [!s390x !ia64 !armel !ppc64el !mips !mipsel !mips64el !kfreebsd-any !alpha],
- dtach (>= 0.8),
+ gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha] <!nocheck>,
+ dtach (>= 0.8) <!nocheck>,
  gpgsm <!nocheck>,
  gnupg <!nocheck>,
  bash-completion (>=1.9.0~)

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 python3_all = py3versions -s | xargs -n1 | xargs -t -I {} env {}
+
+ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),arm64)
+	NOTMUCH_SKIP_TESTS=T460-emacs-tree
+	export NOTMUCH_SKIP_TESTS
+endif
 
 %:
 	dh $@ --with python2,python3,elpa

## notmuch 0.28

=== debian/changelog ===
notmuch (0.28-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 14:25:09 -0300

notmuch (0.28-2) unstable; urgency=medium

  * Override location of bash, because /usr/bin/bash might exist
    thanks to usrmerge.

 -- David Bremner <bremner@debian.org>  Fri, 12 Oct 2018 20:54:00 -0300

notmuch (0.28-1) unstable; urgency=medium

  * New upstream releases.
  * Includes threading fixes, support for relative database paths, and
    rewritten zsh completion.

 -- David Bremner <bremner@debian.org>  Fri, 12 Oct 2018 20:17:27 -0300

notmuch (0.28~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- David Bremner <bremner@debian.org>  Wed, 03 Oct 2018 20:36:57 -0300

notmuch (0.27-3) unstable; urgency=medium

  * Update Vcs-Git to use https and specify correct branch
  * Update Build-depends for unversioned emacs packages.

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 18:20:10 -0300

notmuch (0.27-2) unstable; urgency=medium

  * Add texinfo as a build-dep, build info version of documentation.

 -- David Bremner <bremner@debian.org>  Thu, 28 Jun 2018 21:01:29 -0300

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,13 @@
 	dh $@ --with python2,python3,elpa
 
 override_dh_auto_configure:
-	./configure --prefix=/usr \
+	BASH=/bin/bash	./configure --prefix=/usr \
 		--libdir=/usr/lib/$$(dpkg-architecture -q DEB_TARGET_MULTIARCH) \
 		--includedir=/usr/include \
 		--mandir=/usr/share/man \
 		--infodir=/usr/share/info \
 		--sysconfdir=/etc \
+		--zshcompletiondir=/usr/share/zsh/vendor-completions \
 		--localstatedir=/var
 
 override_dh_auto_build:
@@ -36,4 +37,5 @@
 	dh_auto_install
 	dh_auto_install --sourcedirectory bindings/python
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
+	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby

## notmuch 0.28.1

=== debian/changelog ===
notmuch (0.28.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- David Bremner <bremner@debian.org>  Sat, 23 Feb 2019 17:41:05 -0400

notmuch (0.28.1-1) unstable; urgency=medium

  * New upstream bug fix release
  * Bug fix: "muttprint/evince fails to show "print", thanks to
    Joerg Jaspert (Closes: #920856).

 -- David Bremner <bremner@debian.org>  Fri, 01 Feb 2019 08:05:05 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Conflicts: ruby1.8, gdb-minimal, gdb [ia64 mips mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
- debhelper (>= 10~),
+ debhelper (>= 11~),
  pkg-config,
  libxapian-dev,
  libgmime-3.0-dev (>= 3.0.3~) | libgmime-2.6-dev (>= 2.6.7~),
@@ -21,17 +21,18 @@
  dh-elpa (>= 1.3),
  python3-sphinx,
  ruby, ruby-dev (>>1:1.9.3~),
+ emacs-nox | emacs-gtk | emacs-lucid |
  emacs25-nox | emacs25 (>=25~) | emacs25-lucid (>=25~) |
- emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~) |
- emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
+ emacs24-nox | emacs24 (>=24~) | emacs24-lucid (>=24~),
  gdb [!ia64 !mips !mips64el !kfreebsd-any !alpha] <!nocheck>,
  dtach (>= 0.8) <!nocheck>,
  gpgsm <!nocheck>,
  gnupg <!nocheck>,
- bash-completion (>=1.9.0~)
+ bash-completion (>=1.9.0~),
+ texinfo
 Standards-Version: 4.1.3
 Homepage: https://notmuchmail.org/
-Vcs-Git: git://notmuchmail.org/git/notmuch -b debian/stretch-backports
+Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release
 Vcs-Browser: https://git.notmuchmail.org/git/notmuch
 
 Package: notmuch

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --with python2,python3,elpa
 
 override_dh_auto_configure:
-	BASH=/bin/bash	./configure --prefix=/usr \
+	BASHCMD=/bin/bash ./configure --prefix=/usr \
 		--libdir=/usr/lib/$$(dpkg-architecture -q DEB_TARGET_MULTIARCH) \
 		--includedir=/usr/include \
 		--mandir=/usr/share/man \

## notmuch 0.28.3

=== debian/changelog ===
notmuch (0.28.3-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Mar 2019 10:23:25 +0100

notmuch (0.28.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Fix for bug in message property search
  * Fix for race condition leading to (very) occasional build failures
    when building the documentation.

 -- David Bremner <bremner@debian.org>  Tue, 05 Mar 2019 15:39:09 -0400

notmuch (0.28.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Feb 2019 12:29:35 +0100

notmuch (0.28.2-1) unstable; urgency=medium

  * [notmuch-emacs] Invoke gpg from with --batch and --no-tty

 -- David Bremner <bremner@debian.org>  Sun, 17 Feb 2019 07:30:33 -0400

notmuch (0.28.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:24:53 +0100

notmuch (0.28-2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Nov 2018 11:20:27 +0100

notmuch (0.27-3ubuntu1) cosmic; urgency=medium

   * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Sep 2018 18:27:29 +0200

notmuch (0.27-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jul 2018 16:13:35 +0200

notmuch (0.27-1ubuntu2) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
    - Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jun 2018 00:12:49 +0200

notmuch (0.27-1ubuntu1) cosmic; urgency=medium

  * Do not conflict with gdb-minimal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jun 2018 00:11:24 +0200

notmuch (0.26.2-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 May 2018 13:47:09 +0200

notmuch (0.26.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 May 2018 09:50:15 +0200

notmuch (0.26-1ubuntu3) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:18 +0000

notmuch (0.26-1ubuntu2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:56 +0000

notmuch (0.26-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jan 2018 15:35:02 +0100

notmuch (0.25.3-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 14:33:04 +0100

notmuch (0.25.2-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests but ignore failures on armhf (works on real HW)
      see LP: #1707409

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2017 14:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Carl Worth <cworth@debian.org>
 Uploaders:
- Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
-Build-Conflicts: ruby1.8, gdb-minimal, gdb [ia64 mips mips64el]
+Build-Conflicts: ruby1.8, gdb [ia64 mips mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
  debhelper (>= 11~),

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
 python3_all = py3versions -s | xargs -n1 | xargs -t -I {} env {}
-
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),arm64)
-	NOTMUCH_SKIP_TESTS=T460-emacs-tree
-	export NOTMUCH_SKIP_TESTS
-endif
 
 %:
 	dh $@ --with python2,python3,elpa
@@ -39,3 +34,8 @@
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby
+
+override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH),armhf)
+	dh_auto_test || true
+endif

## notmuch 0.28.4

=== test/test-databases/Makefile ===
# See Makefile.local for the list of files to be compiled in this
# directory.
all:
	$(MAKE) -C ../.. all

.DEFAULT:
	$(MAKE) -C ../.. $@

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jameson Graef Rollins <jrollins@finestructure.net>,
  David Bremner <bremner@debian.org>
-Build-Conflicts: ruby1.8, gdb [ia64 mips mips64el]
+Build-Conflicts: ruby1.8, gdb-minimal, gdb [ia64 mips mips64el]
 Build-Depends:
  dpkg-dev (>= 1.17.14),
  debhelper (>= 11~),

=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,3 @@
 	cd bindings/python && $(python3_all) setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 	$(MAKE) -C contrib/notmuch-mutt DESTDIR=$(CURDIR)/debian/tmp install
 	dh_auto_install --sourcedirectory bindings/ruby
-
-override_dh_auto_test:
-ifeq ($(DEB_HOST_ARCH),armhf)
-	dh_auto_test || true
-endif

## notmuch 0.29.1

=== debian/changelog ===
notmuch (0.29.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- David Bremner <bremner@debian.org>  Mon, 19 Aug 2019 16:51:11 -0300

notmuch (0.29.1-2) unstable; urgency=medium

  * Re-upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 21 Jul 2019 11:43:40 -0300

notmuch (0.29.1-1) experimental; urgency=medium

  * New upstream bug fix release
    - fix for building and installing without emacs, does not occur
      in Debian builds.

 -- David Bremner <bremner@debian.org>  Tue, 11 Jun 2019 20:16:03 -0300

notmuch (0.29-2) experimental; urgency=medium

  * New upstream feature release. See /usr/share/doc/notmuch/NEWS.gz for
    details.
  * Bug fix: "notmuch-hello screen should show notmuch logo", thanks to
    Tim Retout (Closes: #918928).
  * Bug fix: "Can't deal with compressed maildir files", thanks to
    Joerg Jaspert (Closes: #688609).
  * Bug fix: "Please ship notmuch-emacs-mua.desktop", thanks to Tim Retout
    (Closes: #918975).

 -- David Bremner <bremner@debian.org>  Thu, 06 Jun 2019 21:35:12 -0300

notmuch (0.29~rc1-1) experimental; urgency=medium

  * New upstream release candidate, with fix for parallel sphinx-build
    invocation

 -- David Bremner <bremner@debian.org>  Mon, 03 Jun 2019 08:09:38 -0300

notmuch (0.29~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- David Bremner <bremner@debian.org>  Fri, 31 May 2019 08:22:21 -0300

notmuch (0.28.4-1) unstable; urgency=medium

  * New upstream bugfix release
  * Fix for bug in 'notmuch show --raw' that causes spurious errors to be
    reported when the mail file is a multiple of the libc buffer size
    (e.g. 4096 bytes).

 -- David Bremner <bremner@debian.org>  Sun, 05 May 2019 08:08:56 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  debhelper (>= 11~),
  pkg-config,
  libxapian-dev,
- libgmime-3.0-dev (>= 3.0.3~) | libgmime-2.6-dev (>= 2.6.7~),
+ libgmime-3.0-dev (>= 3.0.3~),
  libtalloc-dev,
  libz-dev,
  python-all (>= 2.6.6-3~),
